#### Linux From Scratch - Version 12.3-systemd

### Chapter 8. Installing Basic System Software

- Prev

  MPC-1.3.1

- Next

  Acl-2.3.2

- Up
- Home

# 8.24. Attr-2.5.2

The Attr package contains utilities to administer the extended attributes of filesystem objects.

Approximate build time: less than 0.1 SBU
Required disk space: 4.1 MB

## 8.24.1. Installation of Attr

Prepare Attr for compilation:

    ./configure --prefix=/usr     \
                --disable-static  \
                --sysconfdir=/etc \
                --docdir=/usr/share/doc/attr-2.5.2

Compile the package:

    make

The tests must be run on a filesystem that supports extended attributes such as the ext2, ext3, or ext4 filesystems. To test the results, issue:

    make check

Install the package:

    make install

## 8.24.2. Contents of Attr

Installed programs: attr, getfattr, and setfattr
Installed library: libattr.so
Installed directories: /usr/include/attr and /usr/share/doc/attr-2.5.2

### Short Descriptions

attr | Extends attributes on filesystem objects
getfattr | Gets the extended attributes of filesystem objects
setfattr | Sets the extended attributes of filesystem objects
`libattr` | Contains the library functions for manipulating extended attributes

- Prev

  MPC-1.3.1

- Next

  Acl-2.3.2

- Up
- Home